> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Chunk

> Delete a specific chunk.

Args:
    chunk_id: ID of the chunk to delete

Returns:
    Success message

Examples:
    Delete a chunk:
        DELETE /chunks/chunk_123



## OpenAPI

````yaml api-reference/openapi.json delete /api/v1/chunks/{chunk_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/chunks/{chunk_id}:
    delete:
      tags:
        - Chunks
      summary: Delete Chunk
      description: |-
        Delete a specific chunk.

        Args:
            chunk_id: ID of the chunk to delete

        Returns:
            Success message

        Examples:
            Delete a chunk:
                DELETE /chunks/chunk_123
      operationId: delete_chunk_api_v1_chunks__chunk_id__delete
      parameters:
        - name: chunk_id
          in: path
          required: true
          schema:
            type: string
            description: Chunk ID
            title: Chunk Id
          description: Chunk ID
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````